
package com.tmerclub.cloud.live.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serializable;


/**
 * 直播商品
 * @author TRACK
 */
public class LiveRoomProd extends BaseModel implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     * 直播间商品信息
     */
    private Long roomProdId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 房间id
     */
    private Long roomId;

    /**
     * 讲解状态 0未讲解 1讲解中
     */
    private Integer explainStatus;

    public Long getRoomProdId() {
        return roomProdId;
    }

    public void setRoomProdId(Long roomProdId) {
        this.roomProdId = roomProdId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getRoomId() {
        return roomId;
    }

    public void setRoomId(Long roomId) {
        this.roomId = roomId;
    }

    public Integer getExplainStatus() {
        return explainStatus;
    }

    public void setExplainStatus(Integer explainStatus) {
        this.explainStatus = explainStatus;
    }

    @Override
    public String toString() {
        return "LiveRoomProd{" +
                "roomProdId=" + roomProdId +
                ",prodId=" + spuId +
                ",roomId=" + roomId +
                ",explainStatus=" + explainStatus +
                '}';
    }
}
